package types

import (
	"github.com/33cn/chain33/pluginmgr"
	"github.com/33cn/plugin/plugin/dapp/broker/commands"
	"github.com/33cn/plugin/plugin/dapp/broker/executor"
	"github.com/33cn/plugin/plugin/dapp/broker/rpc"
	brokertypes "github.com/33cn/plugin/plugin/dapp/broker/types"
)

/*
 * 初始化dapp相关的组件
 */

func init() {
	pluginmgr.Register(&pluginmgr.PluginBase{
		Name:     brokertypes.BrokerX,
		ExecName: executor.GetName(),
		Exec:     executor.Init,
		Cmd:      commands.Cmd,
		RPC:      rpc.Init,
	})
}
